# Get Emails

## Description

This service is used to return a complete list of all partner emails for the logged-in party.

***

## Request

### Restrictions

This service requires an authenticated user and can only be called after a successful partner login.

### Endpoint

```
GET https://<server-url>/api/v4/partner/emails
```

### Parameters

| Parameter    | Location       | Description                                                                                                        |
| ------------ | -------------- | ------------------------------------------------------------------------------------------------------------------ |
| `touchpoint` | Query / Header | The identifier for the touchpoint making the request. If sent as a header, the name must be `Thalamus-Touchpoint`. |
| `token`      | Query / Header | The authentication token for the API session. If sent as a header, the name must be `Thalamus-Token`.              |

### Full URL Example

```
https://<server-url>/api/v4/partner/emails?touchpoint=test&token=...
```

### Request Body

This request does not have a body.

***

## Response

### ✅ Successful Response: `200 Ok`

* HTTP Status Code: `200 Ok`
* The full emails information is returned

Example Response

JSON

```
{
    "partnerEmails": [
        {
            "email": "jhon.smith@thalamuscorp.com",
            "active": true
        }
    ]
}
```

### ❌ Unsuccessful Response: `400 Bad Request`

* HTTP Status Code: `400 Bad Request`
* Body: A JSON object containing details about the error.

Example Response

JSON

```
{
  "errors": {
    "partnerDataSource": "TouchpointCodeRequired",
    "partnerDataSource": "InvalidTouchpointCode"
  }
}
```
